/*
	$Id: Contacts4c.cpp 1236 2018-12-02 14:58:00Z john $

	This file is part of the 4c LDAP library.

	The 4c LDAP library is Copyright (c) 2018, The 4c Company.

	The 4c LDAP library is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 2 of the License.

	The 4c LDAP library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with This code.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "Contacts4c.h"
#include "ui_Contacts4c.h"

#include <ldap4cUIComponents/Ldap4cUIComponents.h>

#include <ldap4cUIComponents/AboutDialog.h>

Contacts4c::Contacts4c(QWidget *parent) :
	QMainWindow(parent),
	ui(new Ui::Contacts4c)
{
	ui->setupUi(this);

	setWindowIcon( Ldap4cUIComponents::icon() );
}

Contacts4c::~Contacts4c()
{
	delete ui;
}

void Contacts4c::onContactsQuit()
{
	close();
}

void Contacts4c::onHelpAbout()
{
	Ldap4cUIComponents::AboutDialog dlg( this );
	dlg.exec();
}
