/*
	$Id: Contacts4c.h 1236 2018-12-02 14:58:00Z john $

	This file is part of the 4c LDAP library.

	The 4c LDAP library is Copyright (c) 2018, The 4c Company.

	The 4c LDAP library is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 2 of the License.

	The 4c LDAP library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with This code.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef CONTACTS4C_H
#define CONTACTS4C_H

#include <QMainWindow>

namespace Ui {
class Contacts4c;
}

class Contacts4c : public QMainWindow
{
	Q_OBJECT

	private:
		Ui::Contacts4c *ui;

	public:
		explicit Contacts4c(QWidget *parent = 0);
		~Contacts4c();

	protected slots:
		void onContactsQuit();
		void onHelpAbout();
};

#endif // CONTACTS4C_H
